<nav class="breadcrumb__panel">
  <ol class="breadcrumb no-margin">
    <li class="breadcrumb-item"><a [routerLink]="['']">Главная</a></li>
    <li class="breadcrumb-item active" aria-current="page">Создание карточки</li>
  </ol>
</nav>
<div class="title__panel">
  <h3 class="title__panel-txt">Создание карточки</h3>
</div>
<div class="content__panel">
  <div class="col-md-4">
    <form [formGroup]="cardFormGroup" enctype="multipart/form-data">
      <div *ngFor="let item of formElements">
        <app-form-element [element]="item" [form]="cardFormGroup"></app-form-element>
      </div>
    </form>
    <div>
      <input id="file"
             type="file"
             [hidden]="true"
             placeholder="Прикрепите файл" (change)="handleFileInput($event.target.files)" multiple>
      <button class="btn btn-outline-primary btn-block"
              (click)="selectFile();" >Добавить изображение</button>
    </div>
    <hr>
    <div class="col-md-12">
      <div class="row">
        <table class="table">
          <tr *ngFor="let file of files; let i = index;">
            <td>{{file.name}}</td>
            <td><button class="btn btn-danger" (click)="removeFile(i);"><i class="fa fa-close"></i></button></td>
          </tr>
        </table>
      </div>
    </div>
    <div class="col-md-12">
      <button class="btn btn-primary btn-block" (click)="createCard()">
        <span class="align-elem">Подтвердить</span>
      </button>
    </div>
  </div>
</div>
